# Spielfeld und Spielobjekte verwenden
from Spielfeld import *
from Spielobjekt import *


# Spielfeld erzeugen
spielfeld = Spielfeld()

# Gelben Fisch erzeugen
fischGelb = Spielobjekt()
fischGelb.bildname = "FischGelbAufRechts.gif"
fischGelb.breite = 50
fischGelb.höhe = 50
fischGelb.positionX = 10
fischGelb.positionY = 40

# Spielobjekte dem Spielfeld hinzufügen
spielfeld.hinzufügen( fischGelb )

# Hauptschleife: Fortlaufend wiederholen
while True:

    # Gelben Fisch bewegen
    fischGelb.positionX = fischGelb.positionX + fischGelb.richtungX * 5
    fischGelb.positionY = fischGelb.positionY + fischGelb.richtungY * 5

    # Tastatureingaben für Gelben Fisch verarbeiten
    if spielfeld.rechtsGedrückt:
        fischGelb.richtungY = 0
        fischGelb.richtungX = 1
    elif spielfeld.linksGedrückt:
        fischGelb.richtungY = 0
        fischGelb.richtungX = -1
    elif spielfeld.obenGedrückt:
        fischGelb.richtungX = 0
        fischGelb.richtungY = -1
    elif spielfeld.untenGedrückt:
        fischGelb.richtungX = 0
        fischGelb.richtungY = 1

    # Gelben Fisch animieren
    if fischGelb.richtungX == 1:
        if fischGelb.bildname == "FischGelbAufRechts.gif":
            fischGelb.bildname = "FischGelbZuRechts.gif"
            fischGelb.klangAbspielen( "Biss.wav" )
        else:
            fischGelb.bildname = "FischGelbAufRechts.gif"
    elif fischGelb.richtungX == -1:
        if fischGelb.bildname == "FischGelbAufLinks.gif":
            fischGelb.bildname = "FischGelbZuLinks.gif"
            fischGelb.klangAbspielen( "Biss.wav" )
        else:
            fischGelb.bildname = "FischGelbAufLinks.gif"
    elif fischGelb.richtungY == 1:
        if fischGelb.bildname == "FischGelbAufUnten.gif":
            fischGelb.bildname = "FischGelbZuUnten.gif"
            fischGelb.klangAbspielen( "Biss.wav" )
        else:
            fischGelb.bildname = "FischGelbAufUnten.gif"
    elif fischGelb.richtungY == -1:
        if fischGelb.bildname == "FischGelbAufOben.gif":
            fischGelb.bildname = "FischGelbZuOben.gif"
            fischGelb.klangAbspielen( "Biss.wav" )
        else:
            fischGelb.bildname = "FischGelbAufOben.gif"

    # Spielfeld aktualisieren
    spielfeld.zeichnen()

    # Etwas warten, damit Spiel nicht zu schnell läuft
    spielfeld.warten( 100 )
